package examples;

import javax.ejb.*;
import javax.jms.*;

/**
 *  Sample Message-Driven Bean
 *
 */
public class LogBean implements MessageDrivenBean, MessageListener {

    protected MessageDrivenContext ctx;

    /**
     *  Associates this Bean instance with a particular context.
     *
     *@param  ctx  The new messageDrivenContext value
     */
    public void setMessageDrivenContext(MessageDrivenContext ctx) {
        this.ctx = ctx;
    }

    /**
     *  Initializes the bean
     */
    public void ejbCreate() {
        System.err.println("ejbCreate()");
    }

    /**
     *  Our one business method
     *
     *@param  msg  Description of the Parameter
     */
    public void onMessage(Message msg) {

        TextMessage tm = (TextMessage) msg;

        try {
            String text = tm.getText();
            System.err.println("Received new message : " + text);
        } catch (JMSException e) {
            e.printStackTrace();
        }
    }

    /**
     *  Destroys the bean
     */
    public void ejbRemove() {
        System.err.println("ejbRemove()");
    }
}
